Results 1 to 3 of 3

Thread: Older install help please

  1. #1
    Join Date
    Aug 2013
    Beans
    3

    Older install help please

    I am attempting to install an older version of Ubuntu to gain a LAMP server, specifically to install PHP4 as am trying to resurrect a web site that uses php4 in its environment.

    I've been mucking through trying to install everything from Ubuntu 6.06LTS to Ubuntu 7 and now Ubuntu 8, but I am having difficulty in getting the old repositories to work in upgrading applications and such from these older versions.

    I've tried a myriad of settings indie /etc/apt/sources.list, specially changing the repositories to "old-releases.archive.ubuntu.com" and for instance in 8.04, using 'intrepid' as the build name. No joy.

    Rather than list everything that has not worked... can I ask, anyone help point me to a HOW-TO that would help me install an older version of Ubuntu, and install php4 as well? And... have the dependencies bind together with Apache2 and MySql which I know has to blend together as well?

    Any guidance would be much appreciated. Am running in circles and would sure appreciate any pointers.

    tx

  2. #2
    Join Date
    Nov 2008
    Location
    Metro Boston
    Beans
    8,583
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Older install help please

    Have you tried running the site on PHP5? I have sites that date back PHP4 and still work correctly on PHP5. I'd start by trying to get it to run on 12.04. You won't find active repositories for versions of Ubuntu that have passed their "sell-by" dates, nor are you likely to find much support for PHP4.
    If you ask for help, please have the courtesy to check for responses and thank the people who helped you.

    Blog · Linode System Administration Guides · Android Apps for Ubuntu Users

  3. #3
    Join Date
    Jun 2006
    Location
    Houston, TX
    Beans
    1,120
    Distro
    Ubuntu 6.06

    Re: Older install help please

    As said, the only repositories of the old versions are the ones on the CDs. You may need to use a different distrubution that puts more on the CD, like Susi or Red Hat.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •